rem ===========================================================================

rem Replace {LOGIN} and {PASSWORD} with your login and password
set LOGIN={LOGIN}
set PASSWORD={PASSWORD}

set CONNECTION=Demo
set INSTRUMENT=EUR/USD
set TIMEFRAME=m1
set OUTPUT=result.csv

rem Dates are in format MM.DD.YYYY hh:mm:ss
rem If empty then this argument is not used
set DATE_FROM=06.27.2014 20:50:00
set DATE_TO=06.29.2014 22:05:00

rem If empty then this argument is not used
set COUNT=

rem ===========================================================================

if "%DATE_FROM%" neq "" (
    set DATE_FROM_ARG=/datefrom "%DATE_FROM%"
)
if "%DATE_TO%" neq "" (
    set DATE_TO_ARG=/dateto "%DATE_TO%"
)
if "%COUNT%" neq "" (
    set COUNT_ARG=/count %COUNT%
)

GetHistPricesCSV /login %LOGIN% /password %PASSWORD% /connection %CONNECTION% /instrument %INSTRUMENT% /timeframe %TIMEFRAME% /url http://www.fxcorporate.com/Hosts.jsp %DATE_FROM_ARG% %DATE_TO_ARG% %COUNT_ARG% /output %OUTPUT%
